
package interfazgrafica4;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import javax.swing.JButton;

public class GestorEventos extends WindowAdapter implements ActionListener {
    
    private Componentes componentes;
    
    public GestorEventos(Componentes componentes) {
        this.componentes = componentes;
    }


         // MÉTODOS DE WindowAdapter     
   public void windowClosing(WindowEvent e) {
      System.exit(0);
   }   
   
   
         // MÉTODO DE ActionListener   
    public void actionPerformed(ActionEvent e) { 
        JButton jButton = (JButton) e.getSource();
  
        if (jButton == componentes.getjButtonContar())
         { int contador = componentes.getContador();
           contador ++;
           componentes.setContador(contador); 
           componentes.getjLabelVisualizaContador().setText("Numero de pulsaciones: "+componentes.getContador());
         }
        else
           if (jButton == componentes.getjButtonSalir())
               System.exit(0);
    }        
}
